package domain

import (
	"topsdk/util"
)

type TaobaoTraderateAddTradeRateRequest struct {
	/*
	   交易ID     */
	Tid *int64 `json:"tid,omitempty" `

	/*
	   子订单ID     */
	Oid *int64 `json:"oid,omitempty" `

	/*
	   评价创建时间,格式:yyyy-MM-dd HH:mm:ss     */
	Created *util.LocalTime `json:"created,omitempty" `
}

func (s *TaobaoTraderateAddTradeRateRequest) SetTid(v int64) *TaobaoTraderateAddTradeRateRequest {
	s.Tid = &v
	return s
}
func (s *TaobaoTraderateAddTradeRateRequest) SetOid(v int64) *TaobaoTraderateAddTradeRateRequest {
	s.Oid = &v
	return s
}
func (s *TaobaoTraderateAddTradeRateRequest) SetCreated(v util.LocalTime) *TaobaoTraderateAddTradeRateRequest {
	s.Created = &v
	return s
}
